Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# ibwrta

## Name

ibwrta -- write data bytes asynchronously (board or device)

## Synopsis

    #include <gpib/ib.h>

``int ibwrta`(int ud, const void *buffer, long num_bytes);`

## Description

ibwrta() is similar to ibwrt() except it operates asynchronously. ibwrta() does not wait for the sending of the data bytes to complete, but rather returns immediately.

While an asynchronous operation is in progress, most library functions will fail with an EOIP error. In order to successfully complete an asynchronous operation, you must call ibwait() with CMPL set in the wait mask, until the CMPL bit is set ibsta. Asynchronous operations may also be aborted with an ibstop() or ibonl() call.

After the asynchronous I/O has completed and the results resynchronized with the current thread, the Linux-GPIB extensions AsyncIbsta, AsyncIberr, AsyncIbcnt, AsyncIbcntl may be useful to more cleanly separate the results of the asynchronous I/O from the results of the ibwait or similar call used to resynchronize.

## Return value

The value of ibsta is returned.

Prev | Home | Next
ibwrt | Up | ibwrtf